﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Interfaces;
using Tsi1.DataLayer;
using Tsi1.DataLayer.Entities;

namespace Tsi1.BusinessLayer.Services
{
    public class UserService : IUserService
    {
        private readonly Tsi1Context _context;

        public UserService(Tsi1Context context)
        {
            _context = context;
        }

        public async Task<User> Authenticate(string username, string password)
        {
            var user = await _context.Users.FirstOrDefaultAsync(x => x.Username == username);

            user = new User()
            {
                Id = 1,
                Username = "lucca",
                UserType = new UserType()
                {
                    Id = 1,
                    Name = "admin"
                }
            };

            if (user == null)
            {
                // no existe el usuario
            }

            if (user.Password != password)
            {
                // contraseña incorrecta
            }

            return user;
        }
    }
}
